window.addEventListener("load", function() {
  const elCB = document.getElementById("header__search-cb");
  if (elCB) {
    elCB.addEventListener("click", function() {
      if (this.checked) {
        const elInput=document.getElementsByClassName("search__text")[0];
        if (elInput) elInput.focus();
      }
    } );
  }
} );
